data {
    int N;
    vector[2] Data[N];
}
parameters {
    real muA;
    real muB;
    real<lower = 0.0> sgmA;
    real<lower = 0.0> sgmB;
    real<lower = -1.0, upper = 1.0> rho;
}
transformed parameters {
    vector[2] mu;
    cov_matrix[2] sgm;
    mu[1] = muA;
    mu[2] = muB;
    sgm[1][1] = sgmA * sgmA;
    sgm[1][2] = rho * sgmA * sgmB;
    sgm[2][1] = sgm[1][2];
    sgm[2][2] = sgmB * sgmB;
}
model {
    muA ~ normal(0.0, 1000.0);
    muB ~ normal(0.0, 1000.0);
    sgmA ~ exponential(0.001);
    sgmB ~ exponential(0.001);
    rho ~ uniform(-1.0, 1.0);
    for (i in 1:N)
        Data[i] ~ multi_normal(mu, sgm);
}
