data {
    int NA;
    int NB;
    real DataA[NA];
    real DataB[NB];
}
parameters {
    real muA;
    real muB;
    real<lower = 0.0> sgm;
}
transformed parameters {
    real mu_d;
    mu_d = muA - muB;
}
model {
    muA ~ normal(0.0, 1000.0);
    muB ~ normal(0.0, 1000.0);
    sgm ~ exponential(0.001);
    for (i in 1:NA)
        DataA[i] ~ normal(muA, sgm);
    for (i in 1:NB)
        DataB[i] ~ normal(muB, sgm);
}
