data {
    int N;
    vector[2] dt[N];
}
transformed data {
    real diff[N];
    for (i in 1:N)
        diff[i] = dt[i][1] - dt[i][2];
}
parameters {
    real mu;
    real<lower = 0.0> sgm;
}
model {
    mu ~ normal(0.0, 1000.0);
    sgm ~ exponential(0.001);
    for (i in 1:N)
        diff[i] ~ normal(mu, sgm);
}
